##
##  s3cmd.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         s3cmd
Summary:      Command-Line Interface to AWS S3 or Minio
URL:          http://s3tools.org/s3cmd
Vendor:       TGRMN Software
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      GPL
Version:      2.4.0
Release:      20231213

#   list of sources
Source0:      https://download.sourceforge.net/s3tools/s3cmd-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python, python-setup
PreReq:       OpenPKG, openpkg >= 20160101, python
BuildPreReq:  python-time
PreReq:       python-time

%description
    S3cmd is a free command line tool and client for uploading,
    retrieving and managing data in Amazon S3 and other cloud storage
    service providers that use the S3 protocol, such Minio.

%track
    prog s3cmd = {
        version   = %{version}
        url       = https://sourceforge.net/projects/s3tools/files/s3cmd/
        regex     = s3cmd-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;#!/usr/bin/env python2;#!%{l_prefix}/bin/python;' \
        s3cmd
    %{l_shtool} subst \
        -e 's;share/man;man;g' \
        setup.py
    %{l_prefix}/bin/python setup.py build

%install
    %{l_prefix}/bin/python setup.py install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

